<?php
require_once('mobile/includes/application_top.php');

// if the customer is not logged on, redirect them to the login page
  if (!tep_session_is_registered('customer_id')) {
    $navigation->set_snapshot(array('mode' => 'SSL', 'page' => FILENAME_CHECKOUT_PAYMENT));
    tep_redirect(tep_mobile_link(FILENAME_LOGIN, '', 'SSL'));
  }

// if there is nothing in the customers cart, redirect them to the shopping cart page
  if ($cart->count_contents() < 1) {
    tep_redirect(tep_mobile_link(FILENAME_SHOPPING_CART));
  }

// avoid hack attempts during the checkout procedure by checking the internal cartID
  if (isset($cart->cartID) && tep_session_is_registered('cartID')) {
    if ($cart->cartID != $cartID) {
      tep_redirect(tep_mobile_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
    }
  }

// if no shipping method has been selected, redirect the customer to the shipping method selection page
  if (!tep_session_is_registered('shipping')) {
    tep_redirect(tep_mobile_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
  }

  if (!tep_session_is_registered('payment')) tep_session_register('payment');
  if (isset($HTTP_POST_VARS['payment'])) $payment = $HTTP_POST_VARS['payment'];

  if (!tep_session_is_registered('comments')) tep_session_register('comments');
  if (tep_not_null($HTTP_POST_VARS['comments'])) {
    $comments = tep_db_prepare_input($HTTP_POST_VARS['comments']);
  }

// load the selected payment module
  require(DIR_WS_CLASSES . 'payment.php');
  $payment_modules = new payment($payment);

  require(DIR_WS_CLASSES . 'order.php');
  $order = new order;

  $payment_modules->update_status();

  if ( ( is_array($payment_modules->modules) && (sizeof($payment_modules->modules) > 1) && !is_object($$payment) ) || (is_object($$payment) && ($$payment->enabled == false)) ) {
    tep_redirect(tep_mobile_link(FILENAME_CHECKOUT_PAYMENT, 'error_message=' . urlencode(ERROR_NO_PAYMENT_MODULE_SELECTED), 'SSL'));
  }

  if (is_array($payment_modules->modules)) {
    $payment_modules->pre_confirmation_check();
  }

// load the selected shipping module
  require(DIR_WS_CLASSES . 'shipping.php');
  $shipping_modules = new shipping($shipping);

  require(DIR_WS_CLASSES . 'order_total.php');
  $order_total_modules = new order_total;
// Begin Logging Orders Before Payment Processing
  $holding_order_totals = $order_total_modules->process();
// End Logging Orders Before Payment Processing

// Stock Check
  $any_out_of_stock = false;
  if (STOCK_CHECK == 'true') {
    for ($i=0, $n=sizeof($order->products); $i<$n; $i++) {
      if (tep_check_stock($order->products[$i]['id'], $order->products[$i]['qty'])) {
        $any_out_of_stock = true;
      }
    }
    // Out of Stock
    if ( (STOCK_ALLOW_CHECKOUT != 'true') && ($any_out_of_stock == true) ) {
      tep_redirect(tep_mobile_link(FILENAME_SHOPPING_CART));
    }
  }

  require(DIR_WS_LANGUAGES . $language . '/checkout_confirmation.php');

  $breadcrumb->add(NAVBAR_TITLE_1, tep_mobile_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL'));
  $breadcrumb->add(NAVBAR_TITLE_2);

	require(DIR_MOBILE_INCLUDES . 'header.php');
	$headerTitle->write();
?>
<?php
  if (isset($$payment->form_action_url)) {
    $form_action_url = $$payment->form_action_url;
  } else {
    $form_action_url = tep_mobile_link(FILENAME_CHECKOUT_PROCESS, '', 'SSL');
  }
?>
<div id="iphone_content">
<?php
  echo tep_draw_form('checkout_confirmation', $form_action_url, 'post');
?>
<div id="checkout_conf">
<?php
  if (is_array($payment_modules->modules)) {
 echo $payment_modules->process_button();
    if ($confirmation = $payment_modules->confirmation()) {
?>
      <h1><?php echo HEADING_PAYMENT_INFORMATION; ?></h1>
	  <div id="text"><?php echo $confirmation['title']; ?></div>
<?php
      for ($i=0, $n=sizeof($confirmation['fields']); $i<$n; $i++) {
?>
              <?php echo $confirmation['fields'][$i]['title']; ?>
			  <?php echo $confirmation['fields'][$i]['field']; ?>
			  
<?php
      }
    }
  }
?>
      <div id="bouton">
	  <input type="submit" value="<?php echo IMAGE_BUTTON_CONFIRM_ORDER; ?>">
	  </div>
<!-- cart -->
<?php
  if (sizeof($order->info['tax_groups']) > 1) {
?>
                  <?php echo '<h1>' . HEADING_PRODUCTS . ' <a href="' . tep_mobile_link(FILENAME_SHOPPING_CART) . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a></h1>'; ?>
				  <?php echo HEADING_TAX; ?>
				  <?php echo HEADING_TOTAL; ?>
<?php
  } else {
?>
                  <?php echo '<h1>' . HEADING_PRODUCTS . ' <a href="' . tep_mobile_link(FILENAME_SHOPPING_CART) . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a></h1>'; ?>
<?php
  }

  for ($i=0, $n=sizeof($order->products); $i<$n; $i++) {
    echo '' . '<div id="ligneProd">' .
         '' . $order->products[$i]['qty'] . '&nbsp;x&nbsp;' . '' .
         '' . $order->products[$i]['name'];

    if (STOCK_CHECK == 'true') {
      echo tep_check_stock($order->products[$i]['id'], $order->products[$i]['qty']);
    }

    if ( (isset($order->products[$i]['attributes'])) && (sizeof($order->products[$i]['attributes']) > 0) ) {
      for ($j=0, $n2=sizeof($order->products[$i]['attributes']); $j<$n2; $j++) {
        echo '<br><nobr><small>&nbsp;<i> - ' . $order->products[$i]['attributes'][$j]['option'] . ': ' . $order->products[$i]['attributes'][$j]['value'] . '</i></small></nobr>';
      }
    }

    echo '' . '</div>';

    if (sizeof($order->info['tax_groups']) > 1) 
	echo '' . tep_display_tax_value($order->products[$i]['tax']) . '%' . '<br />';

    echo '<div class="gras">' . $currencies->display_price($order->products[$i]['final_price'], $order->products[$i]['tax'], 0, $order->products[$i]['quantity']) . '' . '</div>' .
         '' . '';

  }
?>
<!-- end of cart -->
<?php
  if (MODULE_ORDER_TOTAL_INSTALLED) {
  ?>
  <table border="0" cellspacing="0" cellpadding="2">
  <?php
    echo $order_total_modules->output();
	?>
	</table>
	<?php
  }
?>
      	<hr />
		<?php echo '<h1>' . HEADING_PAYMENT_METHOD . '' .  ' <a href="' . tep_mobile_link(FILENAME_CHECKOUT_PAYMENT, '', 'SSL') . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a></h1>'; ?>
		<?php echo $order->info['payment_method']; ?>
		<hr />
		<!-- PWA for IosC BOF -->
		<?php echo '<h1>' . HEADING_BILLING_ADDRESS . ' <a href="' . ((tep_session_is_registered('customer_is_guest'))?tep_href_link(FILENAME_CREATE_ACCOUNT, 'guest=guest', 'SSL'):tep_mobile_link(FILENAME_CHECKOUT_PAYMENT_ADDRESS, '', 'SSL')) . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a></h1>'; ?>
		<!-- PWA for IosC EOF -->
		<?php echo tep_address_format($order->billing['format_id'], $order->billing, 1, ' ', '<br>'); ?>
		<hr />
<?php
	if ($sendto != false) {
		if ($order->info['shipping_method']) {
?>
      
	  <?php echo '<h1>' . HEADING_SHIPPING_METHOD . ' <a href="' . tep_mobile_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL') . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a></h1>'; ?>
	  <?php echo $order->info['shipping_method']; ?>
<?php
    	}
?>
		<hr />
		<!-- PWA for IosC BOF -->
		<?php echo '<h1>' . HEADING_DELIVERY_ADDRESS . '</h1>' . (((! tep_session_is_registered('customer_is_guest')) || (defined('PURCHASE_WITHOUT_ACCOUNT_SEPARATE_SHIPPING') && PURCHASE_WITHOUT_ACCOUNT_SEPARATE_SHIPPING=='yes') )? ' <a href="' . tep_mobile_link(FILENAME_CHECKOUT_SHIPPING_ADDRESS, '', 'SSL') . '"><span class="orderEdit">(' . TEXT_EDIT . ')</span></a>':''); ?>
		<!-- PWA  for IosC EOF -->
	    	<?php echo tep_address_format($order->delivery['format_id'], $order->delivery, 1, ' ', '<br>'); ?>
	  	<hr />
<?php
	} // end of if ($sendto != false) 
?>
      <div id="bouton"><input type="submit" value="<?php echo IMAGE_BUTTON_CONFIRM_ORDER; ?>"></div>
	  
</div>
</form>
<?php require(DIR_MOBILE_INCLUDES . 'footer.php'); 

// Begin Logging Orders Before Payment Processing
	  $sql_data_array = array('customers_id' => $customer_id,
	                          'customers_name' => $order->customer['firstname'] . ' ' . $order->customer['lastname'],
	                          'customers_street_address' => $order->customer['street_address'],
	                          'customers_suburb' => $order->customer['suburb'],
	                          'customers_city' => $order->customer['city'],
	                          'customers_postcode' => $order->customer['postcode'], 
	                          'customers_state' => $order->customer['state'], 
	                          'customers_country' => $order->customer['country']['title'],
	                          'customers_telephone' => $order->customer['telephone'], 
	                          'customers_email_address' => $order->customer['email_address'],
	                          'customers_address_format_id' => $order->customer['format_id'], 
	                          'delivery_name' => $order->delivery['firstname'] . ' ' . $order->delivery['lastname'], 
	                          'delivery_street_address' => $order->delivery['street_address'], 
	                          'delivery_suburb' => $order->delivery['suburb'], 
	                          'delivery_city' => $order->delivery['city'], 
	                          'delivery_postcode' => $order->delivery['postcode'], 
	                          'delivery_state' => $order->delivery['state'], 
	                          'delivery_country' => $order->delivery['country']['title'],
	                          'delivery_address_format_id' => $order->delivery['format_id'], 
	                          'payment_method' => $order->info['payment_method'], 
	                          'cc_type' => $order->info['cc_type'], 
	                          'cc_owner' => $order->info['cc_owner'], 
	                          'cc_number' => $order->info['cc_number'], 
	                          'cc_expires' => $order->info['cc_expires'], 
	                          'date_purchased' => 'now()', 
	                          'orders_status' => DEFAULT_ORDERS_STATUS_ID, 
	                          'comments' => $order->info['comments'], 
	                          'currency' => $order->info['currency'], 
	                          'currency_value' => $order->info['currency_value']);
			 tep_db_perform(TABLE_HOLDING_ORDERS, $sql_data_array);
			 $insert_id = tep_db_insert_id();
		   for ($i=0, $n=sizeof($holding_order_totals); $i<$n; $i++) {
		   	      $sql_data_array = array('orders_id' => $insert_id,
		   	                              'title' => $holding_order_totals[$i]['title'],
		   	                              'text' => $holding_order_totals[$i]['text'],
		   	                              'value' => $holding_order_totals[$i]['value'], 
		   	                              'class' => $holding_order_totals[$i]['code'], 
		   	                              'sort_order' => $holding_order_totals[$i]['sort_order']);
		   tep_db_perform(TABLE_HOLDING_ORDERS_TOTAL, $sql_data_array);
			 }
       
       for ($i=0; $i<sizeof($order->products); $i++) {
       $sql_data_array = array('orders_id' => $insert_id, 
                             'products_id' => tep_get_prid($order->products[$i]['id']), 
                             'products_model' => $order->products[$i]['model'], 
                             'products_name' => $order->products[$i]['name'], 
                             'products_price' => $order->products[$i]['price'], 
                             'final_price' => $order->products[$i]['final_price'], 
                             'products_tax' => $order->products[$i]['tax'], 
                             'products_quantity' => $order->products[$i]['qty']);
       tep_db_perform(TABLE_HOLDING_ORDERS_PRODUCTS, $sql_data_array);
       $order_products_id = tep_db_insert_id();
    	 if ( (isset($order->products[$i]['attributes'])) && (sizeof($order->products[$i]['attributes']) > 0) ) {
       	for ($j=0, $n2=sizeof($order->products[$i]['attributes']); $j<$n2; $j++) {
       		$attributes = tep_db_query("select popt.products_options_name, poval.products_options_values_name, pa.options_values_price, pa.price_prefix from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_OPTIONS_VALUES . " poval, " . TABLE_PRODUCTS_ATTRIBUTES . " pa where pa.products_id = '" . $order->products[$i]['id'] . "' and pa.options_id = '" . $order->products[$i]['attributes'][$j]['option_id'] . "' and pa.options_id = popt.products_options_id and pa.options_values_id = '" . $order->products[$i]['attributes'][$j]['value_id'] . "' and pa.options_values_id = poval.products_options_values_id and popt.language_id = '" . $languages_id . "' and poval.language_id = '" . $languages_id . "'");
       		$attributes_values = tep_db_fetch_array($attributes);
       		$sql_data_array = array('orders_id' => $insert_id, 
       	                        'orders_products_id' => $order->products[$i]['id'], 
       	                        'products_options' => $attributes_values['products_options_name'],
       	                        'products_options_values' => $attributes_values['products_options_values_name'], 
       	                        'options_values_price' => $attributes_values['options_values_price'], 
       	                        'price_prefix' => $attributes_values['price_prefix']);
       	
       	tep_db_perform(TABLE_HOLDING_ORDERS_PRODUCTS_ATTRIBUTES, $sql_data_array);
      	}
      }
    }          
// End Logging Orders Before Payment Processing
?>
</div>